正在加载中...

关闭
请选择需要拨打的号码
关闭
请根据问题类型选择QQ咨询

https远程客户端应用程序收到一个TLS 1.0连接请求,但没有任何受客户端应用程序支持的密码套件是受服务器支持的

https远程客户端应用程序收到一个TLS 1.0连接请求,但没有任何受客户端应用程序支持的密码套件是受服务器支持的

如果你的服务器搭建了Https站点后,遇到有的浏览器浏览你的网站遇到报错,报错内容如下:从远程客户端应用程序收到一个  TLS 1.2 连接请求,但没有任何受客户端应用程序支持的密码套件是受服务器支持的。SSL 连接请求失败。那么你会发现,有的浏览器可以访问,但有些老浏览器会提示ERR_CONNECTION_ABORTED。

使用WireSharke抓包发现 Chrome 发送的包是使用TLS1.0协议 但是交互的时候

服务端交换的SeverHello 包只有下面图中这几个和正常的包差了Server Key ExChange

 这个原因就是你的服务器可能禁止了目前公认不安全、应该淘汰的SSL1,SSL2.0 SSL3.0 TLS1.0的旧的套接字加密协议以及他们对应的加密套件,这种情况下,如果用有些老版本的浏览器没有高版本的套接字协议或加密套件,比如TLS1.2,TLS2.0等,那么浏览器就会报错不支持这些加密套件或SSL协议。如果您遇到这些问题无法处理,可以委托万维景盛工程师为您解决!

万维景盛还提供阿里云服务器代购服务,不仅价格折上折,还赠送全能运行环境和豪华主机面板!




返回上一页